Subject: Re: 'make ARCH=ppc defconfig' failing for cross-compile

From: Judith Lebzelter <[email-masked]>
Date: Fri, 15 Sep 2006 12:22:42 -0700

On Thu, Sep 14, 2006 at 01:12:01PM +1000, Michael Ellerman wrote:
> On Tue, 2006-09-12 at 10:48 -0700, Judith Lebzelter wrote:
> > On Tue, Sep 12, 2006 at 10:21:46AM -0700, Christian wrote:
> > > On Fri, 8 Sep 2006, Judith Lebzelter wrote:
> > > > I have been doing cross-compiles for ppc and powerpc on my i686 system.
> > > > In order to do this I generate the .config file like this:
> > > >
> > > > make ARCH=ppc defconfig
> > > > (or make ARCH=powerpc defconfig)
> > > 
> > > Seems like defconfig has been removed, because there are so many 
> > > sub-platforms for ppc:
> > 
> > I build these in OSDL's cross compile build farm (PLM) as a code check.
> > Our scripts are generalized to work for various architectures, so it is
> > disappointing that 'defconfig' no longer works for ppc the way it does 
> > in other achitectures.  Are there plans to make plain 'defconfig' work 
> > again, at least in the new 'powerpc' directory?  (The 'ppc64_defconfig' 
> > target looks good to me.:)
> 
> Perhaps you need to rework the scripts to cope for the fact that there
> are different platforms under the architecture? There will never be a
> defconfig for powerpc that builds all the code for all platforms, so to
> get full test coverage you'll need to build more than one config anyway.
> 

Yes, I do not get full code coverage, which would be the ideal.
However, I do run defconfig, allmodconfig, allyesconfig and allnoconfig
and have found issues doing this. There is value in running for a
few representative ppc architectures, which I do.  That is why 'defconfig'
is (was) handy for me. 

I additionally compile other architectures such as i386, ia64, x86_64, 
arm, sparc64.  People can submit their kernel patches to see how 
their code compiles, and usually this is more platforms than they would 
do at home.:)

Thanks,
Judith

> cheers
> 
> -- 
> Michael Ellerman
> OzLabs, IBM Australia Development Lab
> 
> wwweb: http://michael.ellerman.id.au
> phone: +61 2 6212 1183 (tie line 70 21183)
> 
> We do not inherit the earth from our ancestors,
> we borrow it from our children. - S.M.A.R.T Person